export declare function useSet<T>(arr?: T[]): {
    add: (value: T) => T;
    delete: (value: T) => T;
    clear: () => void;
    forEach: (callback: (value: T, key: T, set: Set<T>) => void) => void;
    map: (callback: <K>(value: T, index: number, arr: T[]) => K) => unknown[];
    has: (value: T) => boolean;
    entries: () => IterableIterator<[T, T]>;
    values: () => IterableIterator<T>;
    keys: () => IterableIterator<T>;
    size: number;
};
